Subject: Re: bug#62194: 30.0.50; Two Eglot-over-Tramp tests are failing on master, passing on emacs-29

From: Michael Albinus <[email-masked]>
Date: Sun, 19 Mar 2023 13:19:49 +0100

Michael Albinus <[email-masked]> writes:

Hi João,

> Note that I have plans to enable shared connections also for PuTTY, by a
> similar option tramp-use-shared-connection (or similar, not decided
> yet). But this will be relevant for MS Windows users only; I don't know
> how many of them use eglot. And it will definitively be in Tramp 2.7
> only.

For the records, I have finally renamed tramp-use-ssh-controlmaster-options
to tramp-use-connection-share in Tramp 2.7 / Emacs master. This handles
also PuTTY methods. You don't need to adapt your Tramp workaround in
eglot.el, the former option still exists as defvaralias of the latter.

Best regards, Michael.